Subject: Re: bug#16214: Consistency in dired-, occur-, and grep-mode

From: Richard Stallman <[email-masked]>
Date: Sun, 13 Feb 2022 23:13:18 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > I suspect that v in vc-dir is used rarely enough that people would
  > > not object to a change.

  > I use it every single day, and often. Like other people who aren't using
  > magit (but I don't know whether this are many people these days).

I am not sure how to interpret that.  Are you saying that
you intentionally type v (in vc-dir) every day?
Or that you accidentally type v (in vc-dir) every day?

I it is the former, I am surprised that you create a new file every
day.  When I was working on software, I would make changes every day,
but new files were rare.  How is it that you have such frequent
occasions to put a new file into version control?  I'd like to
understand what leads to this.

  > > Maybe a better fix would be to make v in vc-dir ask for confirmation.
  > > (I don't know whether it already does that; I may never have used it.)
  > > At least this way typing v by mistake won't cause much trouble.

  > There is already some interactive ping-pong, because you have to provide
  > some text, depending on what vc-next-action (the command bound to v in
  > vc-dir) intends to do.

That being so, I would surmise that when you type v by accident,
nothing very bad happens -- you get asked for input and you type C-g,
right?

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)